%define upstream_name Gnome2-Canvas
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/GNOME and GTK+
Summary:    Perl module for the gnomecanvas library
Source0:    %{upstream_name}-%{upstream_version}.tar.gz
Url:        http://gtk2-perl.sf.net

BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) 	 
BuildRequires: perl(Gtk2) >= 0.26
BuildRequires: pkgconfig(libgnomecanvas-2.0)
BuildRequires: perl-devel
Requires:   perl-Gtk2 => 0.26
Conflicts:	drakxtools < 9.1-15mdk

Provides:   perl-GnomeCanvas = %{version}
Obsoletes:  perl-GnomeCanvas >= 0.28

%description
The Gnome2::Canvas module allows a perl developer to use the GnomeCanvas
widget with Gtk2-Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
%__perl Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%files
%doc AUTHORS ChangeLog LICENSE META.yml MYMETA.yml NEWS README TODO
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/Canvas
%{perl_vendorarch}/Gnome2/Canvas.*
%{perl_vendorarch}/auto/*


%changelog
* Sat Oct 03 2020 tv <tv> 1.4.0-1.mga8
+ Revision: 1631943
- restore BRs no thx magpie
- update to 1.004

* Fri Sep 25 2020 tv <tv> 1.3.0-1.mga8
+ Revision: 1629971
- restore BR perl(Gtk2)
- restore BR perl(ExtUtils::PkgConfig)
- restore BR perl(ExtUtils::Depends)
- update to 1.003

* Thu Jun 18 2020 tv <tv> 1.2.0-12.mga8
+ Revision: 1596456
- rebuild for perl-5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.2.0-11.mga8
+ Revision: 1529026
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.2.0-10.mga8
+ Revision: 1432999
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.2.0-9.mga7
+ Revision: 1292983
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.2.0-8.mga7
+ Revision: 1249397
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.2.0-7.mga7
+ Revision: 1164580
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.2.0-6.mga7
+ Revision: 1150184
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Sun Jul 23 2017 tv <tv> 1.2.0-4.mga7
+ Revision: 1129292
- fix build with perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-3.mga6
+ Revision: 1027947
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 957366
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.002-24.mga6
+ Revision: 844876
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.002-23.mga6
+ Revision: 841113
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.002-22.mga5
+ Revision: 746173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.002-21.mga5
+ Revision: 684878
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.002-20.mga5
+ Revision: 632429
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.002-19.mga4
+ Revision: 524778
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.002-18.mga4
+ Revision: 431523
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.002-17.mga3
+ Revision: 367782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.002-16.mga3
+ Revision: 250651
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1.002-15.mga2
+ Revision: 138573
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1.002-14.mga2
+ Revision: 104385
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.002-13.mga1
+ Revision: 36248
- mageia rebuild
- imported package perl-Gnome2-Canvas

